# Uses of Interface
org.eclipse.emf.cdo.common.security.CDOPermissionProvider

Packages that use CDOPermissionProvider
Package
Description
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.security
Common concepts for dealing with permissions and protectable entities.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of CDOPermissionProvider in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOPermissionProvider
Modifier and Type
Method
Description
`CDOPermissionProvider`
CDODataOutput.`getPermissionProvider()`

## Uses of CDOPermissionProvider in org.eclipse.emf.cdo.common.revision

Fields in org.eclipse.emf.cdo.common.revision declared as CDOPermissionProvider
Modifier and Type
Field
Description
`static final CDOPermissionProvider`
CDORevision.`PERMISSION_PROVIDER`

## Uses of CDOPermissionProvider in org.eclipse.emf.cdo.common.security

Classes in org.eclipse.emf.cdo.common.security that implement CDOPermissionProvider
Modifier and Type
Class
Description
`static final class`
`CDOPermissionProvider.Constant`
Provides a constant protection level for all `revisions`.
Fields in org.eclipse.emf.cdo.common.security declared as CDOPermissionProvider
Modifier and Type
Field
Description
`static final CDOPermissionProvider`
CDOPermissionProvider.`NONE`
`static final CDOPermissionProvider`
CDOPermissionProvider.`READ`
`static final CDOPermissionProvider`
CDOPermissionProvider.`WRITE`

## Uses of CDOPermissionProvider in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOPermissionProvider
Modifier and Type
Method
Description
`CDOPermissionProvider`
CDODataOutputImpl.`getPermissionProvider()`

## Uses of CDOPermissionProvider in org.eclipse.emf.cdo.spi.server

Subinterfaces of CDOPermissionProvider in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalSession`
If the meaning of this type isn't clear, there really should be more of a description here...